Skip to main content

Drawing canvas shapes with Vue

All vue-konva components correspond to Konva components of the same name with the prefix 'v'. All the parameters available for Konva objects can be added as config in the prop for corresponding vue-konva components.

Core shapes are: v-rect, v-circle, v-ellipse, v-line, v-image, v-text, v-text-path, v-star, v-label, v-path, v-regular-polygon. You can also create a custom shape.

To get more info about Konva you can read Konva Overview.

Instructions: The demo shows various shapes with different styles and configurations.

<template>
<v-stage :config="stageSize">
<v-layer>
<v-text :config="{
text: 'Some text on canvas',
fontSize: 15
}"/>
<v-rect :config="{
x: 20,
y: 50,
width: 100,
height: 100,
fill: 'red',
shadowBlur: 10
}"/>
<v-circle :config="{
x: 200,
y: 100,
radius: 50,
fill: 'green'
}"/>
<v-line :config="{
x: 20,
y: 200,
points: [0, 0, 100, 0, 100, 100],
tension: 0.5,
closed: true,
stroke: 'black',
fillLinearGradientStartPoint: { x: -50, y: -50 },
fillLinearGradientEndPoint: { x: 50, y: 50 },
fillLinearGradientColorStops: [0, 'red', 1, 'yellow']
}"/>
</v-layer>
</v-stage>
</template>

<script setup>
const stageSize = {
width: window.innerWidth,
height: window.innerHeight
};
</script>

Skip to main content

Angular Konva Shapes Tutorial

To create shapes with Konva in Angular, you can use the ng2-konva library components.

For full list of properties and methods, see the Konva API Reference.

Shapes Example

import { Component } from '@angular/core';
import { StageConfig } from 'konva/lib/Stage';
import { TextConfig } from 'konva/lib/shapes/Text';
import { RectConfig } from 'konva/lib/shapes/Rect';
import { CircleConfig } from 'konva/lib/shapes/Circle';
import { LineConfig } from 'konva/lib/shapes/Line';

import {
  CoreShapeComponent,
  StageComponent,
} from 'ng2-konva';

@Component({
  selector: 'app-root',
  template: `
    <ko-stage [config]="configStage">
      <ko-layer>
        <ko-text [config]="configText"></ko-text>
        <ko-rect [config]="configRect"></ko-rect>
        <ko-circle [config]="configCircle"></ko-circle>
        <ko-line [config]="configLine"></ko-line>
      </ko-layer>
    </ko-stage>
  `,
  imports: [StageComponent, CoreShapeComponent],
})
export default class App {
  public configStage: StageConfig = {
    width: window.innerWidth,
    height: window.innerHeight,
  };
  public configText: TextConfig = {
    text: 'Some text on canvas',
    fontSize: 15
  };
  public configRect: RectConfig = {
    x: 20,
    y: 50,
    width: 100,
    height: 100,
    fill: 'red',
    shadowBlur: 10
  };
  public configCircle: CircleConfig = {
    x: 200,
    y: 100,
    radius: 50,
    fill: 'green'
  };
  public configLine: LineConfig = {
    x: 20,
    y: 200,
    points: [0, 0, 100, 0, 100, 100],
    tension: 0.5,
    closed: true,
    stroke: 'black',
    fillLinearGradientStartPoint: { x: -50, y: -50 },
    fillLinearGradientEndPoint: { x: 50, y: 50 },
    fillLinearGradientColorStops: [0, 'red', 1, 'yellow']
  };
}

Skip to main content

Drawing canvas shapes with React

All react-konva components correspond to Konva components of the same name. All the parameters available for Konva objects are valid props for corresponding react-konva components, unless noted otherwise.

Core shapes are: Rect, Circle, Ellipse, Line, Image, Text, TextPath, Star, Label, SVG Path, RegularPolygon. You can also create custom shapes.

Here is a demo showing some of the basic shapes with various styling options:

import React from 'react';
import { Stage, Layer, Rect, Text, Circle, Line } from 'react-konva';

const App = () => {
  return (
    <Stage width={window.innerWidth} height={window.innerHeight}>
      <Layer>
        <Text text="Some text on canvas" fontSize={15} />
        <Rect
          x={20}
          y={50}
          width={100}
          height={100}
          fill="red"
          shadowBlur={10}
        />
        <Circle x={200} y={100} radius={50} fill="green" />
        <Line
          x={20}
          y={200}
          points={[0, 0, 100, 0, 100, 100]}
          tension={0.5}
          closed
          stroke="black"
          fillLinearGradientStartPoint={{ x: -50, y: -50 }}
          fillLinearGradientEndPoint={{ x: 50, y: 50 }}
          fillLinearGradientColorStops={[0, 'red', 1, 'yellow']}
        />
      </Layer>
    </Stage>
  );
};

export default App;